{% extends "base.html" %}
{% load i18n %}

{% block title %}
Achievements
{% endblock %}

{% block banner %}
  <h1 class = "title">Achievements</h1>
{% endblock %}

{% block body %}
  {% if achievement_list %}
    <div class="table-container">
      <table class="table is-bordered">
        <thead>
          {% translate "Eenmalige Achievements" %}
        </thead>
        <tbody>
          {% for achievement in achievement_list %}
            {% if forloop.counter0|divisibleby:"6" %}
              {% if not forloop.first %}
                </tr>
              {% endif %}
                <tr>
            {% endif%}
            <td>
              <div>
                <a href="{{ achievement.absolute_url }}">{% translate achievement.name %}</a>
              </div>
              <div>
                {{ achievement.num_achiever }}
              </div>
              <div>
                {% translate achievement.description %}
              </div>
            </td>
            {% if forloop.last %}
              </tr>
            {% endif%}
          {% endfor %}
        </tbody>
      </table>
    </div>
  {% else %}
    <p>Niets te zien hier...</p>
  {% endif %}
  <h1>{% translate "Medailleachievements" %}</h1>
  {% if medal_list %}
    <div class="table-container">
      <table class="table is-striped">
        <thead>
          <th>Achievement</th>
          <th>{% translate "Brons" %}</th>
          <th>{% translate "Zilver" %}</th>
          <th>{% translate "Goud" %}</th>
          <th>{% translate "A&ndash;Eskwadraat" %}</th>
        </thead>
        {% for medal in medal_list %}
        <tr>
          <th>
            <a href="{{medal.absolute_url}}">{% translate medal.name %}</a>
          </th>
          <td>
            {{medal.num_bronze}}
          </td>
          <td>
            {{medal.num_silver}}
          </td>
          <td>
            {{medal.num_gold}}
          </td>
          <td>
            {{medal.num_platinum}}
          </td>
        </tr>
        {% endfor %}
      </table>
    </div>
  {% else %}
    <p>
    {% if achievement_list %} 
      {% translate "Hier is niets te zien..." %}
    {% else %}
      {% translate "Hier is ook niets te zien..." %}
    {% endif %}</p>
  {% endif %}

{% endblock %}
